
    curl -sfL https://get.k3s.io | K3S_KUBECONFIG_MODE="644" INSTALL_K3S_EXEC=" --disable servicelb --disable traefik" sh -s -
    curl https://raw.githubusercontent.com/helm/helm/main/scripts/get-helm-3 | bash
    helm repo add stable https://charts.helm.sh/stable
    helm repo add ingress-nginx https://kubernetes.github.io/ingress-nginx
    helm repo add jetstack https://charts.jetstack.io
    helm repo update
    helm install ingress-nginx ingress-nginx/ingress-nginx --namespace ingress-nginx --create-namespace
    helm install cert-manager jetstack/cert-manager --namespace cert-manager --create-namespace --set crds.enabled=true
    mkdir -p ~/.kube/
    sudo cp /etc/rancher/k3s/k3s.yaml ~/.kube/config
    helm upgrade ingress-nginx ingress-nginx/ingress-nginx   --namespace ingress-nginx   -f ingress-values.yaml
    kubectl apply -f matthewaveryusa_cloudflare_token_secret.yaml -n cert-manager
    kubectl apply -f matthewaveryusa_cloudflare_issuer.yaml -n cert-manager
    kubectl apply -f matthewaveryusa_certificate.yaml -n cert-manager
    
    helm repo add argo https://argoproj.github.io/argo-helm
    helm repo update
    helm install argocd argo/argo-cd --namespace argocd --create-namespace

    kubectl apply -n argocd -f argocd_ingress.yaml 
    helm upgrade argocd argo/argo-cd -f argocd-values.yaml  -n argocd
    kubectl apply -f argocd-appset.yaml -n argocd
